.text-cursor-reveal {
    position: relative;
    display: inline-block;
}

.text-cursor-reveal .content {
    display: inline-block;
    clip-path: inset(0 100% 0 0);
    animation: revealText 2s linear forwards;
}

.text-cursor-reveal::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 3px;
    height: 100%;
    background: currentColor;
    animation: moveCursor 2s linear forwards;
}

@keyframes revealText {
    from {
        clip-path: inset(0 100% 0 0);
    }
    to {
        clip-path: inset(0 0 0 0);
    }
}

@keyframes moveCursor {
    from {
        left: 0;
    }
    to {
        left: 100%;
    }
}

li {
    list-style-type: square;
}

li::marker {
    color: #e6007e;
}

